net.corda.node.services.transactions

## Class BFTNonValidatingNotaryService.ServiceFlow

- FlowLogic
- - net.corda.node.services.transactions.BFTNonValidatingNotaryService.ServiceFlow

- Enclosing class:
    BFTNonValidatingNotaryService

      public static class BFTNonValidatingNotaryService.ServiceFlow
      extends FlowLogic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceFlow(Party otherSide, BFTSMaRt.Client client)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `BFTSMaRt.Client` | `getClient()`
    `Party` | `getOtherSide()`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### ServiceFlow

          public ServiceFlow(Party otherSide,
                             BFTSMaRt.Client client)

  - ### Method Detail

    - #### call

          public java.lang.Void call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getOtherSide

          public Party getOtherSide()

    - #### getClient

          public BFTSMaRt.Client getClient()